<?php
/**
 * SocialLive Dynamic Styles
 *
 * @package SocialLive
 */

function sociallive_dynamic_css()
{

    $sociallive_default = sociallive_get_default_theme_options();
    $background_color = get_theme_mod('background_color');

    $background_color = '#'.str_replace("#","",$background_color);

    $logo_height_range = get_theme_mod('logo_height_range', $sociallive_default['logo_height_range']);
    $header_image_opacity = get_theme_mod('header_image_opacity', $sociallive_default['header_image_opacity']);

    echo "<style type='text/css' media='all'>"; ?>

    .custom-logo-link img{
    max-height:  <?php echo esc_attr($logo_height_range); ?>px;
    }
    <?php echo "</style>";
}

add_action('wp_head', 'sociallive_dynamic_css', 100);

/**
 * Sanitizing Hex color function.
 */
function sociallive_sanitize_hex_color($color)
{

    if ('' === $color)
        return '';
    if (preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color))
        return $color;

}