jQuery(document).ready(function ($) {
    "use strict";
    $(window).load(function () {
        $("body").addClass("page-loaded");
    });
    // Scroll To
    $(".scroll-content").click(function () {
        $("html, body").animate(
            {
                scrollTop: $("#content").offset().top,
            },
            500
        );
    });

    function extendMagnificIframe() {
        var $start = 0;
        var $iframe = {
            markup: '<div class="mfp-iframe-scaler">' +
                '<div class="mfp-close"></div>' +
                '<iframe class="mfp-iframe" frameborder="0" allowfullscreen></iframe>' +
                '</div>' +
                '<div class="mfp-bottom-bar mfp-bottom-bar-video">' +
                '<h3 class="mfp-title"></h3>' +
                '<div class="mfp-caption"></div>' +
                '</div>',
            patterns: {
                youtube: {
                    index: 'youtu',
                    id: function (url) {
                        var m = url.match(/^.*(?:youtu.be\/|v\/|e\/|u\/\w+\/|embed\/|v=)([^#\&\?]*).*/);
                        if (!m || !m[1]) return null;
                        if (url.indexOf('t=') != -1) {
                            var $split = url.split('t=');
                            var hms = $split[1].replace('h', ':').replace('m', ':').replace('s', '');
                            var a = hms.split(':');
                            if (a.length == 1) {
                                $start = a[0];
                            } else if (a.length == 2) {
                                $start = (+a[0]) * 60 + (+a[1]);
                            } else if (a.length == 3) {
                                $start = (+a[0]) * 60 * 60 + (+a[1]) * 60 + (+a[2]);
                            }
                        }
                        var suffix = '?autoplay=1';
                        if ($start > 0) {
                            suffix = '?start=' + $start + '&autoplay=1';
                        }
                        return m[1] + suffix;
                    },
                    src: '//www.youtube.com/embed/%id%'
                },
                vimeo: {
                    index: 'vimeo.com/',
                    id: function (url) {
                        var m = url.match(/(https?:\/\/)?(www.)?(player.)?vimeo.com\/([a-z]*\/)*([0-9]{6,11})[?]?.*/);
                        if (!m || !m[5]) return null;
                        return m[5];
                    },
                    src: '//player.vimeo.com/video/%id%?autoplay=1'
                }
            }
        };
        return $iframe;
    }

    $('.theme-media-link').magnificPopup({
        type: 'iframe',
        gallery: {
            enabled: true,
            navigateByImgClick: true,
            preload: [0, 1] // Will preload 0 - before current, and 1 after the current image
        },
        callbacks: {
            markupParse: function (template, values, item) {
                values.title = item.el.attr('data-title');
                values.caption = item.el.attr('data-caption');
            },
            open: function () {
                $('body').css('overflow', 'hidden');
            },
            close: function () {
                $('body').css('overflow', '');
            },
        },
        iframe: extendMagnificIframe()
    });
    $('.popup-image-link').magnificPopup({
        type: 'image',
        image: {
            titleSrc: function (item) {
                var markup = '';
                if (item.el[0].hasAttribute("data-title")) {
                    markup += '<h3 class="entry-title entry-title-small">' + item.el.attr('data-title') + '</h3>';
                }
                if (item.el[0].hasAttribute("data-caption")) {
                    markup += '<p>' + item.el.attr('data-caption') + '</p>';
                }
                return markup
            }
        },
    });

    // Aub Menu Toggle
    $(".submenu-toggle").click(function () {
        $(this).toggleClass("button-toggle-active");
        var currentClass = $(this).attr("data-toggle-target");
        $(currentClass).toggleClass("submenu-toggle-active");
    });
    // Header Search Popup End
    $(".navbar-control-search").click(function () {
        $(".header-searchbar").toggleClass("header-searchbar-active");
        $("body").addClass("body-scroll-locked");
        $("#search-closer").focus();
    });
    $(".header-searchbar").click(function () {
        $(".header-searchbar").removeClass("header-searchbar-active");
        $("body").removeClass("body-scroll-locked");
    });
    $(".header-searchbar-inner").click(function (e) {
        e.stopPropagation(); //stops click event from reaching document
    });
    // Header Search hide
    $("#search-closer").click(function () {
        $(".header-searchbar").removeClass("header-searchbar-active");
        $("body").removeClass("body-scroll-locked");
        setTimeout(function () {
            $(".navbar-control-search").focus();
        }, 300);
    });
    // Focus on search input on search icon expand
    $(".navbar-control-search").click(function () {
        setTimeout(function () {
            $(".header-searchbar .search-field").focus();
        }, 300);
    });
    $("input, a, button").on("focus", function () {
        if ($(".header-searchbar").hasClass("header-searchbar-active")) {
            if (!$(this).parents(".header-searchbar").length) {
                $(".header-searchbar .search-field").focus();
                $(".header-searchbar-area .search-field-default").focus();
            }
        }
    });
    $(".skip-link-search-start").focus(function () {
        $("#search-closer").focus();
    });
    $(".skip-link-search-end").focus(function () {
        $(".header-searchbar-area .search-field").focus();
    });
    $(".skip-link-menu-start").focus(function () {
        if (!$("#offcanvas-menu #primary-nav-offcanvas").length == 0) {
            $("#offcanvas-menu #primary-nav-offcanvas ul li:last-child a").focus();
        }
        if (!$("#offcanvas-menu #social-nav-offcanvas").length == 0) {
            $("#offcanvas-menu #social-nav-offcanvas ul li:last-child a").focus();
        }
    });
    // Action On Esc Button For Search
    $(document).keyup(function (j) {
        $("body").removeClass("body-scroll-locked");
        if (j.key === "Escape") {
            // escape key maps to keycode `27`
            if ($(".header-searchbar").hasClass("header-searchbar-active")) {
                $(".header-searchbar").removeClass("header-searchbar-active");
                setTimeout(function () {
                    $(".navbar-control-search").focus();
                }, 300);
                setTimeout(function () {
                    $(".aside-search-js").focus();
                }, 300);
            }
        }
    });
    // Header Search Popup End
    // Action On Esc Button For Offcanvas
    $(document).keyup(function (j) {
        if (j.key === "Escape") {
            // escape key maps to keycode `27`
            if ($("#offcanvas-menu").hasClass("offcanvas-menu-active")) {
                $(".header-searchbar").removeClass("header-searchbar-active");
                $("#offcanvas-menu").removeClass("offcanvas-menu-active");
                $(".navbar-control-offcanvas").removeClass("active");
                $("body").removeClass("body-scroll-locked");
                setTimeout(function () {
                    $(".navbar-control-offcanvas").focus();
                }, 300);
            }
        }
    });
    // Toggle Menu Start
    $(".navbar-control-offcanvas").click(function () {
        $(this).addClass("active");
        $("body").addClass("body-scroll-locked");
        $("#offcanvas-menu").toggleClass("offcanvas-menu-active");
        $(".button-offcanvas-close").focus();
    });
    $(".offcanvas-close .button-offcanvas-close").click(function () {
        $("#offcanvas-menu").removeClass("offcanvas-menu-active");
        $(".navbar-control-offcanvas").removeClass("active");
        $("body").removeClass("body-scroll-locked");
        $("html").removeAttr("style");
        $(".navbar-control-offcanvas").focus();
    });
    $("#offcanvas-menu").click(function () {
        $("#offcanvas-menu").removeClass("offcanvas-menu-active");
        $(".navbar-control-offcanvas").removeClass("active");
        $("body").removeClass("body-scroll-locked");
    });
    $(".offcanvas-wraper").click(function (e) {
        e.stopPropagation(); //stops click event from reaching document
    });
    $(".skip-link-menu-end").focus(function () {
        $(".button-offcanvas-close").focus();
    });
    // Toggle Menu End
    // Data Background
    var pageSection = $(".data-bg");
    pageSection.each(function (indx) {
        var src = $(this).attr("data-background");
        if (src) {
            $(this).css("background-image", "url(" + src + ")");
        }
    });
    var rtled = false;
    if ($("body").hasClass("rtl")) {
        rtled = true;
    }

    // flatten object by concatting values
    function concatValues(obj) {
        var value = "";
        for (var prop in obj) {
            value += obj[prop];
        }
        return value;
    }

    // Navigation toggle on scroll
    $(window).scroll(function () {
        if ($(window).scrollTop() > $(window).height() / 2) {
            $("body").addClass("theme-floatingbar-active");
        } else {
            $("body").removeClass("theme-floatingbar-active");
        }
    });
    // Scroll to Top on Click
    $(".to-the-top").click(function () {
        $("html, body").animate(
            {
                scrollTop: 0,
            },
            700
        );
        return false;
    });
    /**
     * Light & Dark Mode jQuery Toggle Using localStorage
     */
        // Check for saved 'switchMode' in localStorage
    let switchMode = localStorage.getItem('switchMode');
    // Get selector
    const switchModeToggle = $(' .theme-colormode-switcher ');
    // Dark mode function
    const enableDarkMode = function () {
        // Add the class to the body
        $('body').addClass('theme-darkmode-enabled');
        // Update switchMode in localStorage
        localStorage.setItem('switchMode', 'enabled');
    }
    // Light mdoe function
    const disableDarkMode = function () {
        // Remove the class from the body
        $('body').removeClass('theme-darkmode-enabled');
        // Update switchMode in localStorage value
        localStorage.setItem('switchMode', null);
    }
    // If the user already visited and enabled switchMode
    if (switchMode === 'enabled') {
        enableDarkMode();
        // Dark icon enabled
        $('.mode-icon-change').addClass('mode-icon-night');
        $('.mode-icon-change').removeClass('mode-icon-light');
    } else {
        // Light icon enabled
        $('.mode-icon-change').addClass('mode-icon-light');
        $('.mode-icon-change').removeClass('mode-icon-night');
    }
    // When someone clicks the button
    switchModeToggle.on('click', function () {
        // Change switch icon
        $('.mode-icon-change').toggleClass('mode-icon-light');
        $('.mode-icon-change').toggleClass('mode-icon-night');
        // get their switchMode setting
        switchMode = localStorage.getItem('switchMode');
        // if it not current enabled, enable it
        if (switchMode !== 'enabled') {
            enableDarkMode();
            // if it has been enabled, turn it off
        } else {
            disableDarkMode();
        }
    });

    // filter toggle

    let filterToggleButton = document.querySelectorAll(".filter-toggle-button");

    // showing first four links

    filterToggleButton.forEach(function (item) {
        let li = item.previousElementSibling.querySelectorAll("li");

        for (let i = 5; i < li.length; i++) {
            li[i].classList.add("hide")
        }
    });

    // toggle function

    filterToggleButton.forEach(function (item) {
        let toggleButton = item.querySelector("a");

        toggleButton.addEventListener("click", function (e) {
            e.preventDefault();
            let ul = toggleButton.parentElement.previousElementSibling;
            let li = ul.querySelectorAll("li");

            for (let i = 5; i < li.length; i++) {
                li[i].classList.toggle("hide");
                if (!li[i].classList.contains("hide")) {
                    toggleButton.innerText = "show less -"
                } else {
                    toggleButton.innerText = "show more +"
                }
            }
        })
    });

    $(".theme-main-slider").each(function () {
        $(this).slick({
            centerMode: true,
            centerPadding: '360px',
            slidesToShow: 1,
            autoplay: true,
            autoplaySpeed: 4000,
            dots: true,
            nextArrow: '<button type="button" class="slide-btn slick-next slide-next-main">' + sociallive_custom.next_svg + '</button>',
            prevArrow: '<button type="button" class="slide-btn slick-prev slide-prev-main">' + sociallive_custom.prev_svg + '</button>',
            responsive: [{
                breakpoint: 1500,
                settings: {
                    centerPadding: '150px',
                }
            }, {
                breakpoint: 991,
                settings: {
                    centerMode: false,
                    slidesToShow: 2
                }
            }, {
                breakpoint: 768,
                settings: {
                    centerMode: false,
                    slidesToShow: 1,
                    fade: true,
                    cssEase: 'linear'
                }
            }],
        });
    });
    $(".theme-widget-carousel").each(function () {
        $(this).slick({
            infinite: true,
            prevArrow: $(this).closest('.custom-widget-carousel').find('.slide-prev-carousel'),
            nextArrow: $(this).closest('.custom-widget-carousel').find('.slide-next-carousel'),

            responsive: [
                {
                    breakpoint: 1400,
                    settings: {
                        slidesToShow: 3,
                        slidesToScroll: 3,
                    },
                },
                {
                    breakpoint: 991,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 2,
                        dots: true,
                    },
                },
                {
                    breakpoint: 575,
                    settings: {
                        slidesToShow: 1,
                        dots: true,
                        fade: true,
                        cssEase: 'linear'
                    },
                },
            ],
        });
    });

    $('.post-content-single .entry-content .wp-block-video').eq(0).addClass('theme-featured-video').end();
    $('.post-content-single .entry-content .wp-block-embed').eq(0).addClass('theme-featured-video').end();
    $('.post-content-single .entry-content .wp-video').eq(0).addClass('theme-featured-video').end();
    $('.post-content-single .entry-content iframe').eq(0).addClass('theme-featured-video').end();
    $('.post-content-single .entry-content video').eq(0).addClass('theme-featured-video').end();
    $('.post-content-single .entry-content .wp-block-embed iframe').eq(0).removeClass('theme-featured-video').end();
    $('.post-content-single .entry-content .theme-featured-video').eq(1).removeClass('theme-featured-video').end();

    var embeded_height = $('.theme-featured-video').height();
    $('article.has-embed').css('padding-top', embeded_height + 25);

    var embeded_height = $('.wp-video').height();
    $('article.has-embed').css('padding-top', embeded_height + 25);

    var embeded_height = $('.wp-block-video').height();
    $('article.has-embed').css('padding-top', embeded_height + 25);

    $(window).on('resize', function () {

        var embeded_height_refresh = $('.theme-featured-video').height();
        $('article.has-embed').css('padding-top', embeded_height_refresh + 25);

        var embeded_height_refresh = $('.wp-video').height();
        $('article.has-embed').css('padding-top', embeded_height_refresh + 25);

        var embeded_height_refresh = $('.wp-block-video').height();
        $('article.has-embed').css('padding-top', embeded_height_refresh + 25);

    });
});

// Archive Header Area Menu.
jQuery(document).ready(function () {
    jQuery('.theme-filter-toggle').click(function () {
        jQuery('#theme-filter-content').slideToggle('600');
        jQuery('.theme-filter-toggle').toggleClass('filter-toggle-open');
    });
});

jQuery(document).ready(function () {
    jQuery('.filter-toggle-close').click(function () {
        jQuery('#theme-filter-content').slideToggle('600');
        jQuery('.theme-filter-toggle').removeClass('filter-toggle-open');
    });
});

/*  -----------------------------------------------------------------------------------------------
    Intrinsic Ratio Embeds
--------------------------------------------------------------------------------------------------- */
var SocialLive = SocialLive || {},
    $ = jQuery;
var $sociallive_doc = $(document),
    $sociallive_win = $(window),
    viewport = {};
viewport.top = $sociallive_win.scrollTop();
viewport.bottom = viewport.top + $sociallive_win.height();
SocialLive.instrinsicRatioVideos = {
    init: function () {
        SocialLive.instrinsicRatioVideos.makeFit();
        $sociallive_win.on("resize fit-videos", function () {
            SocialLive.instrinsicRatioVideos.makeFit();
        });
    },
    makeFit: function () {
        var vidSelector = "iframe, .format-video object, .format-video video";
        $(vidSelector).each(function () {
            var $sociallive_video = $(this),
                $sociallive_container = $sociallive_video.parent(),
                sociallive_iTargetWidth = $sociallive_container.width();
            // Skip videos we want to ignore
            if (
                $sociallive_video.hasClass("intrinsic-ignore") ||
                $sociallive_video.parent().hasClass("intrinsic-ignore")
            ) {
                return true;
            }
            if (!$sociallive_video.attr("data-origwidth")) {
                // Get the video element proportions
                $sociallive_video.attr("data-origwidth", $sociallive_video.attr("width"));
                $sociallive_video.attr(
                    "data-origheight",
                    $sociallive_video.attr("height")
                );
            }
            // Get ratio from proportions
            var sociallive_ratio =
                sociallive_iTargetWidth / $sociallive_video.attr("data-origwidth");
            // Scale based on ratio, thus retaining proportions
            $sociallive_video.css("width", sociallive_iTargetWidth + "px");
            $sociallive_video.css(
                "height",
                $sociallive_video.attr("data-origheight") * sociallive_ratio + "px"
            );
        });
    },
};
$sociallive_doc.ready(function () {
    SocialLive.instrinsicRatioVideos.init(); // Retain aspect ratio of videos on window resize
});
