<?php
/**
* Header Options.
*
* @package SocialLive
*/

$sociallive_default = sociallive_get_default_theme_options();

// Homepage Banner Section.
$wp_customize->add_section( 'homepaege_banner_setting',
	array(
	'title'      => esc_html__( 'Homepage Banner Settings', 'sociallive' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Enable/Disable Homepage Banner.
$wp_customize->add_setting('enable_homepage_banner',
    array(
        'default' => $sociallive_default['enable_homepage_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sociallive_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_homepage_banner',
    array(
        'label' => esc_html__('Enable Homepage Banner', 'sociallive'),
        'section' => 'homepaege_banner_setting',
        'type' => 'checkbox',
    )
);

// Setting - drop down category for homepage banner.
$wp_customize->add_setting('homepage_banner_category',
    array(
        'default'           => $sociallive_default['homepage_banner_category'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(new SocialLive_Dropdown_Taxonomies_Control($wp_customize, 'homepage_banner_category',
        array(
            'label'           => esc_html__('Select Category for Banner', 'sociallive'),
            'section'         => 'homepaege_banner_setting',
            'type'            => 'dropdown-taxonomies',
            'taxonomy'        => 'category',

        )
    )
);