<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package SocialLive
 * @since 1.0.0
 */
get_header(); ?>
<?php 
$sociallive_default = sociallive_get_default_theme_options();

if (!is_paged()) {
    if (is_front_page() || is_home()) {
        $enable_homepage_banner = get_theme_mod('enable_homepage_banner', $sociallive_default['enable_homepage_banner']);
        if($enable_homepage_banner){

            $query_args = array(
                'post_type' => 'post', 
                'posts_per_page' => '6',
                'post__not_in' => get_option("sticky_posts"), 
            );

            $homepage_banner_category = get_theme_mod('homepage_banner_category', $sociallive_default['homepage_banner_category']);
            if($homepage_banner_category){
                $query_args['cat'] = absint($homepage_banner_category);
            }

            sociallive_slider_banner_block($query_args);
        }
    }  
} 
$ed_latest_post = absint(get_theme_mod('ed_latest_post', $sociallive_default['ed_latest_post']));
if (is_archive()) { ?>
    <div class="theme-block theme-block-archive">
        <div class="wrapper">
            <div class="wrapper-inner">
                <?php if (have_posts()):
                    while (have_posts()) : the_post();
                        ?>
                        <div class="column column-lg-3 column-4 column-sm-6 column-xxs-12 article-panel-smal twp-archive-items-main article-panel-blocks">
                            <?php get_template_part('template-parts/content', get_post_type()); ?>
                        </div>
                    <?php endwhile;
                else :
                    get_template_part('template-parts/content', 'none');
                endif; ?>
            </div>
        </div>
    </div>
    <?php do_action('sociallive_archive_pagination'); ?>
<?php } elseif (!is_archive() && $ed_latest_post == 1) { ?>
    <div class="theme-block theme-block-archive">
        <div class="wrapper">
            <div class="wrapper-inner">
                <?php if (have_posts()):
                    while (have_posts()) : the_post();
                        ?>
                        <div class="column column-lg-3 column-4 column-sm-6 column-xxs-12 article-panel-smal twp-archive-items-main article-panel-blocks">
                            <?php get_template_part('template-parts/content', get_post_type()); ?>
                        </div>
                    <?php endwhile;
                else :
                    get_template_part('template-parts/content', 'none');
                endif; ?>
            </div>
        </div>
    </div>
    <?php do_action('sociallive_archive_pagination'); ?>
<?php } ?>
<?php if (is_active_sidebar('front-page-widget-area') && is_front_page()) { ?>
    <?php dynamic_sidebar('front-page-widget-area'); ?>
<?php } ?>
<?php get_footer();