<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package SocialLive
 * @since 1.0.0
 */
?>

<div class="wrapper">
    <div class="wrapper-inner">
        <div class="column column-8 column-sm-12">
            <article id="post-<?php the_ID(); ?>" <?php if( sociallive_has_embed_code() || sociallive_has_embed() ) { post_class('has-embed'); } else { post_class(); }; ?>>
                <div class="post-content post-content-single">

                    <div class="entry-content">

                        <header class='theme-article-header'>
                            <h2 class='entry-title entry-title-big' ?>

                                <?php the_title(); ?>

                            </h2>

                                <div class='entry-meta-wrapper single-entry-meta-wrapper'>
                                    <?php
                                    if ( is_singular() && 'post' === get_post_type() ) { ?>
                                        <?php sociallive_entry_footer( $icon = true, $cats = true, $tags = false, $edits = false ); ?>
                                    <?php } ?>

                                    <?php sociallive_posted_by($icon = true); ?>
                                    <?php sociallive_posted_on($icon = true); ?>
                                </div>


                        </header>

                        <?php

                                the_content( sprintf(
                                    /* translators: %s: Name of current post. */
                                    wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'sociallive' ), array( 'span' => array( 'class' => array() ) ) ),
                                    the_title( '<span class="screen-reader-text">"', '"</span>', false )
                                ) );
                            ?>

                    </div>

                    <?php
                            if ( is_singular() && 'post' === get_post_type() ) { ?>

                    <div class="entry-footer">
                        <div class="entry-meta">
                            <?php sociallive_entry_footer( $cats = false, $tags = true, $edits = true ); ?>
                        </div>
                    </div>

                    <?php } ?>

                </div>
            </article>
            <?php /**
                     *  Output comments wrapper if it's a post, or if comments are open,
                     * or if there's a comment number – and check for password.
                    **/

                    if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

            <div class="comments-wrapper">
                <?php comments_template(); ?>
            </div><!-- .comments-wrapper -->

            <?php
                    } ?>
        </div>

        <div class="column column-4 column-sm-12"><?php sociallive_single_related_block(); ?></div>
    </div>
</div>

