<?php
/**
 * Header Layout 1
 *
 * @package SocialLive
 */
$sociallive_default = sociallive_get_default_theme_options();
$ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$sociallive_default['ed_desktop_menu'] );
?>


<div class="wrapper">
    <div class="wrapper-inner">

        <div class="column column-12">

            <div class="header-component-container">
                <div class="header-component header-component-left">
                    <div class="header-titles">

                        <?php
                        // Site title or logo.
                        sociallive_site_logo();
                        // Site description.
                        sociallive_site_description();
                        ?>

                    </div><!-- .header-titles -->

                </div><!-- .header-component-left -->


                <div class="header-component header-component-center">
                    <?php get_search_form();?>
                </div>

                <div class="header-component header-component-right">

                    <div class="navbar-controls hide-no-js">

                        <button type="button" class="navbar-control theme-action-control theme-colormode-switcher">
                            <span class="action-control-trigger" tabindex="-1">
                                <span class="mode-icon-change"></span>
                                <span id="mode-icon-switch"></span>
                            </span>
                        </button>

                        <?php 
                        $ed_header_search = get_theme_mod('ed_header_search', $sociallive_default['ed_header_search']);
                        if ($ed_header_search) { ?>

                        <button type="button" class="navbar-control theme-action-control navbar-control-search">
                            <span class="action-control-trigger" tabindex="-1">
                                <?php //get_search_form();?>
                                <?php sociallive_the_theme_svg('search'); ?>
                            </span>
                        </button>

                        <?php } ?>

                        <button type="button" class="navbar-control theme-action-control navbar-control-offcanvas">
                            <span class="action-control-trigger" tabindex="-1">
                                <?php sociallive_the_theme_svg('menu'); ?>
                            </span>
                        </button>

                        <?php 
                        $enable_random_post = get_theme_mod('enable_random_post', $sociallive_default['enable_random_post']);
                        if ($enable_random_post) {
                            $random_post_category = get_theme_mod('random_post_category', $sociallive_default['random_post_category']);
                            $rand_posts_arg = array(
                                'posts_per_page' => 1,
                                'orderby'        => 'rand'
                            );
                            if($random_post_category){
                                $rand_posts_arg['cat'] = absint($random_post_category);
                            }
                            $rand_posts = get_posts( $rand_posts_arg );
                            
                            if($rand_posts){
                                ?>
                                <a href="<?php echo esc_url( get_permalink($rand_posts[0]->ID) );?>" class="navbar-control theme-action-control navbar-control-shuffle">
                                    <span class="action-control-trigger" tabindex="-1">
                                        <?php sociallive_the_theme_svg('shuffle'); ?>
                                    </span>
                                </a>
                                <?php
                            }
                        }
                        ?>

                        <a href="<?php echo get_site_url() . '/twp-video-browse-by-category'; ?>" class="navbar-control theme-action-control navbar-control-browse">
                             <span class="action-control-trigger" tabindex="-1">
                                <?php sociallive_the_theme_svg('collection'); ?>
                             </span>
                        </a>

                    </div>

                </div><!-- .header-component-right -->
            </div>

        </div>
    </div>
</div>